function Nangles = IKleg(Pangles, wartg, Po, P)
%IKLEG Summary of this function goes here
%   Detailed explanation goes here

Theta = ik(Po, P, wartg);
[dimension] = size(Theta);
Dist = zeros(1,2);

for i = 1:dimension(1)
   sol = Theta(i,:);
   dif = sol - Pangles;
   
   %Cannot do it directly because angles are complementary
   for j = 1:size(dif,2)
    Dist(i) = Dist(i) + abs(dif(j));
   end
end

if Dist(1) > Dist(2)
    Nangles = Theta(2,:);
else
    Nangles = Theta(1,:);
end

end

